commit:     7703f44d3fae8fd1dd87104cdf0f7216527091d9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 24 02:40:11 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 03:28:36 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7703f44d

dev-python/numexpr: Bump to 2.10.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/numexpr/Manifest              |  1 +
 dev-python/numexpr/numexpr-2.10.2.ebuild | 48 ++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/numexpr/Manifest b/dev-python/numexpr/Manifest
index 09c510f1b94d..2740998b43e0 100644
--- a/dev-python/numexpr/Manifest
+++ b/dev-python/numexpr/Manifest
@@ -1 +1,2 @@
 DIST numexpr-2.10.1.gh.tar.gz 119668 BLAKE2B 
9b6255831b2512eb14c9eb1ef41cd0c90984c74d0555bc17e0d85c9a18ba12ab0d58fef84b650c8c5be648201e298883bca9f51cdf1ff5270a841843e738ab2e
 SHA512 
8d98b08db6ad9872c18384c49b961321560f7612c75eceb1691b40802ba165c491ae170ac005ad854f140f40e5a40dbb0dbda5377d5b561b6e61afbbafc8d284
+DIST numexpr-2.10.2.gh.tar.gz 122622 BLAKE2B 
762bab8166989ca6839c029289ce3c196b13f2698c377095c1baaefbe333c75a4a27d552ad7c69c97ca63ed91b5343464c9b36aee118f1ec6a8c039e8719997a
 SHA512 
d1414300fb173b3b66e48fe1d782649e8d4085f6da2c72eec89d37deb01686505bb33514b003d01fcd6c645e2a5cf8a967739fc360e62172beee30b4e02d1e9e

diff --git a/dev-python/numexpr/numexpr-2.10.2.ebuild 
b/dev-python/numexpr/numexpr-2.10.2.ebuild
new file mode 100644
index 000000000000..d5f32057f2a6
--- /dev/null
+++ b/dev-python/numexpr/numexpr-2.10.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Fast numerical array expression evaluator for Python and NumPy"
+HOMEPAGE="
+       https://github.com/pydata/numexpr/
+       https://pypi.org/project/numexpr/
+"
+SRC_URI="https://github.com/pydata/numexpr/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+
+DEPEND="
+       >=dev-python/numpy-2.0.0_rc:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+       ${DEPEND}
+       dev-python/packaging[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+       # broken with > 8 CPU threads?
+       # https://github.com/pydata/numexpr/issues/490
+       sed -e 's:test_max_threads_unset:_&:' \
+               -i numexpr/tests/test_numexpr.py || die
+
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       pushd "${BUILD_DIR}/install/$(python_get_sitedir)" >/dev/null || die
+       "${EPYTHON}" - <<-EOF || die "Tests failed with ${EPYTHON}"
+               import sys,numexpr
+               sys.exit(0 if numexpr.test(verbosity=2).wasSuccessful() else 1)
+       EOF
+       pushd >/dev/null || die
+}

Reply via email to